import { EntityParam } from '@klerick/json-api-nestjs';
import { Repository } from 'typeorm';
export declare const getRelation: <E extends object>(repository: Repository<E>) => EntityParam<E>["relations"];
export declare const getProps: <E extends object>(repository: Repository<E>) => EntityParam<E>["props"];
export declare const getPropsType: <E extends object>(repository: Repository<E>) => EntityParam<E>["propsType"];
export declare const getPropsNullable: <E extends object>(repository: Repository<E>) => EntityParam<E>["propsNullable"];
export declare const getPrimaryColumnName: <E extends object>(repository: Repository<E>) => EntityParam<E>["primaryColumnName"];
export declare const getPrimaryColumnType: <E extends object>(repository: Repository<E>) => EntityParam<E>["primaryColumnType"];
export declare const getRelationProperty: <E extends object>(repository: Repository<E>) => EntityParam<E>["relationProperty"];
export declare const getArrayType: <E extends object>(repository: Repository<E>) => EntityParam<E>["propsArrayType"];
