import { IsolationLevel } from 'typeorm/driver/types/IsolationLevel';
export type TypeOrmParam = {
    useSoftDelete?: boolean;
    runInTransaction?: <Func extends (...args: any) => any>(isolationLevel: IsolationLevel, fn: Func) => ReturnType<Func>;
};
export declare const EXPRESSION = "EXPRESSION";
export declare const OperandsMapExpression: {
    eq: string;
    ne: string;
    regexp: string;
    gt: string;
    gte: string;
    in: string;
    like: string;
    lt: string;
    lte: string;
    nin: string;
    some: string;
    ilike: string;
};
export declare const OperandMapExpressionForNull: {
    ne: string;
    eq: string;
};
export declare const OperandsMapExpressionForNullRelation: {
    ne: string;
    eq: string;
};
