"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OperandsMapExpressionForNullRelation = exports.OperandMapExpressionForNull = exports.OperandsMapExpression = exports.EXPRESSION = void 0;
const json_api_nestjs_shared_1 = require("@klerick/json-api-nestjs-shared");
exports.EXPRESSION = 'EXPRESSION';
exports.OperandsMapExpression = {
    [json_api_nestjs_shared_1.FilterOperand.eq]: `= :${exports.EXPRESSION}`,
    [json_api_nestjs_shared_1.FilterOperand.ne]: `<> :${exports.EXPRESSION}`,
    [json_api_nestjs_shared_1.FilterOperand.regexp]: `~* :${exports.EXPRESSION}`,
    [json_api_nestjs_shared_1.FilterOperand.gt]: `> :${exports.EXPRESSION}`,
    [json_api_nestjs_shared_1.FilterOperand.gte]: `>= :${exports.EXPRESSION}`,
    [json_api_nestjs_shared_1.FilterOperand.in]: `IN (:...${exports.EXPRESSION})`,
    [json_api_nestjs_shared_1.FilterOperand.like]: `LIKE :${exports.EXPRESSION}`,
    [json_api_nestjs_shared_1.FilterOperand.lt]: `< :${exports.EXPRESSION}`,
    [json_api_nestjs_shared_1.FilterOperand.lte]: `<= :${exports.EXPRESSION}`,
    [json_api_nestjs_shared_1.FilterOperand.nin]: `NOT IN (:...${exports.EXPRESSION})`,
    [json_api_nestjs_shared_1.FilterOperand.some]: `&& :${exports.EXPRESSION}`,
    ilike: `ILIKE :${exports.EXPRESSION}`,
};
exports.OperandMapExpressionForNull = {
    [json_api_nestjs_shared_1.FilterOperand.ne]: 'IS NOT NULL',
    [json_api_nestjs_shared_1.FilterOperand.eq]: 'IS NULL',
};
exports.OperandsMapExpressionForNullRelation = {
    [json_api_nestjs_shared_1.FilterOperand.ne]: `EXISTS ${exports.EXPRESSION}`,
    [json_api_nestjs_shared_1.FilterOperand.eq]: `NOT EXISTS ${exports.EXPRESSION}`,
};
//# sourceMappingURL=type.js.map