import { PatchRelationshipData } from '@klerick/json-api-nestjs';
import { RelationKeys, ResourceObjectRelationships } from '@klerick/json-api-nestjs-shared';
import { TypeOrmService } from '../../service';
export declare function patchRelationship<E extends object, IdKey extends string, Rel extends RelationKeys<E, IdKey>>(this: TypeOrmService<E, IdKey>, id: number | string, rel: Rel, input: PatchRelationshipData): Promise<ResourceObjectRelationships<E, IdKey, Rel>>;
