import { RelationKeys, ResourceObjectRelationships } from '@klerick/json-api-nestjs-shared';
import { PostRelationshipData } from '@klerick/json-api-nestjs';
import { TypeOrmService } from '../../service';
export declare function postRelationship<E extends object, IdKey extends string, Rel extends RelationKeys<E, IdKey>>(this: TypeOrmService<E, IdKey>, id: number | string, rel: Rel, input: PostRelationshipData): Promise<ResourceObjectRelationships<E, IdKey, Rel>>;
